Subject: Re: OLD Rectifier Tubes

From: [email-masked] (Graig Pearen)
Date: Fri, 28 Mar 1997 01:26:57 GMT

Harry Matthews <[email-masked]> wrote:

>Has anyone seen or do you have information about OLD
>rectifiers that have a wire out the top for the plate
>connection and the base looks like a 1000 watt screw in
>light bulb.  The tell tale mirror plating of mercury
>vapor is present, but mercury globules are not present
>in the bottom.  These act as full wave rectifiers in a
>very powerful, but OLD 110 VAC magnet charger.

>-- Harry (remove the NOSPAM from my address)

They are called "mercury vapor rectifiers. They were used for high
current (30 amp) rectifiers before solid state diodes were invented.
They are antiques AND H A Z A R D O U S    W A S T E. I would
suggest that if you don't want them, a museum might take them
off your hands and save you the problems associated with
hazardous waste disposal.

If there is a number on them, I might be able to look up the specs
in an old tube manual that I have.

Graig